@font-face {
    font-family: enterorbit;
    src: url("enterorbit.ttf");
}

html {
    background-color: black;
    color: white;
    font-family: enterorbit, sans-serif;
    line-height: 1;
}
* {font-family: enterorbit,sans-serif;}

a[href] {color: #ffffcc;}
form input {display: block;}

input,textarea {outline:none;}

#top {
    z-index: 10;
    height: auto;
    width: calc(100vw - 8px);
    position: absolute;
    left: 0;
    top: 0;
    font-size: 16px;
    padding: 4px;
}
@keyframes blink {
    0%{opacity:5%;}
    50%{opacity:100%;}
    100%{opacity:5%}
}
#satellite {
    vertical-align: middle;
    display:none;
    text-decoration: none;
    position: relative;
}
#satellite img {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-color: currentColor;
    image-rendering: pixelated;
    margin: 0 2px 0 0;
    -webkit-mask: url('sat.png');
    mask: url('sat.png');
    mask-size: 100% 100%;
    -webkit-mask-size: 100% 100%;
}
#satellite span {
    position: absolute;
    top: -2px;
    right: -1px;

    width: 4px;
    height: 4px;

    background: red;
    border: 1px solid currentColor;
    border-radius: 50%;

    box-shadow: 0 0 4px rgba(0,0,0,0.25);
    animation: blink 1s linear infinite;
}
.notification {
    margin: 8px 0;
    display: block;
    border: solid 2px;
    padding: 4px;
}

#status img {
    margin-top: 32px;
    max-width: 75vw;
    width: 100px;
}

.searchbar {
    display: inline;
    border: white 1px solid;
}
.searchbar input {
    background: none;
    border: none;
    margin: 0;
    outline:none;
    color: white;
}
input::placeholder, textarea::placeholder {color: grey;}
.searchbar button {
    background: none;
    border: none;
    border-left:white 1px solid;
    color: white;
    height: 100%;
}

.searchResult {
    margin: 0 0 8px;
    padding: 4px;
    border: solid 2px;
    display:flex;
    max-width: 500px;
    text-decoration: none;
}
.searchResult > div {
    padding: 4px 8px 4px 4px;
}
.searchResult h2 {
    margin: 4px 0 0 0;
    text-decoration: underline;
}
.searchResult p {
    margin: 8px 0 0 0;
}

#canvas {
    position: fixed;
    top: 28px;
    left: 0;
    width: 100vw;
    height: calc(100vh - 28px);
    z-index: -1;
}
#canvas p {
    margin: 8px;
}

.iconedit {
    width: 400px;
    max-width: calc(100% - 40px);
    aspect-ratio: 1 / 1;
    background-color: #111;
    display: flex;
    flex-direction: row;
    background:
        conic-gradient(#222 25%, #444 0 50%, #222 0 75%, #444 0);
    background-size: calc(100% / 7.5) calc(100% / 7.5);
    user-select: none;
}
.iconedit div {
    flex: 1.5;
    display: flex;
    flex-direction: column;
}

.planetpage {
    width: calc(100% - 16px);
    display: flex;
    flex-direction: row;
    max-height: 70vh;
}
.planetpage > div {
    display: flex;
    flex-direction: column;

    overflow-wrap: break-word;
    word-break: break-word;

    padding: 8px 16px;
}
.planetpage div {
    flex: 1;
}
.planetpage h1,h2 {
    margin: 0.25em 0;
}
.planetpage p {
    max-height: 48px;
    font-size: 16px;
    margin: 0.8em 0;
}
.editbtn {
    position: absolute;
    top: 4px;
    right: 4px;
    border: solid 2px;
    padding: 2px;
    display: block;
}
#pbuttons {
    margin-top: 8px;
    width: 100%;
    text-align: center;
}
#pbuttons * {
    border: solid 2px;
    padding: 2px;
    background: none;
    margin: 0 2px;
    text-decoration: none;
}

#chat {
    height: calc(100vh - 40px - 28px - 10px);
    width: 100%;
    overflow-y: auto;
    margin-top: 10px;
    line-height: 18px;
}
.cmessage {
    margin-bottom: 8px;
}
.cmessage p {
    margin: 0 0 2px;
    padding-left: 0.4em;
    position: relative;
    padding-right: 60px;
    width: calc(80vw - 60px);
    overflow-wrap: break-word;
    word-break: break-word;
    line-height: 1;
}
.cmessage img:not(.emoji) {
    max-width: 40vw;
    width: auto;
    max-height: 30vh;
    height: auto;
    border: solid 2px;
    display: block;
    margin-bottom: 4px;
    margin-left: 0.4em;
    user-select: none;
    z-index: 3;
}
.chatimgouter {
    max-width: 40vw;
    max-height: 30vh;
    display: block;
    position: relative;
}
.chatimgouter img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}
.emoji {
    image-rendering: pixelated;
    margin: 0 2px 0 0;
    width: 18px;
    height: 18px;
    vertical-align: middle;
}
.bigemoji img {
    width: 42px;
    height: 42px;
}
.hoverbtns {
    position: absolute;
    right: 0;
    bottom: 0;
    text-align: right;
    margin-left: 8px;
}
.hoverbtns button {
    background: none;
    border: solid 1px;
}
#newmsg {
    position: fixed;
    bottom: 8px;
    left: 8px;
    width: calc(100vw - 16px);
    height: 30px;
    background-color: #ffffff22;
    border: solid 1px;
    display: flex;
}
#newmsg > * {
    outline: none;
    border: none;
    background: none;
    color: inherit;
    font-size: 20px;
}
#newmsg > div {
    flex: 1;
    line-height: 1;
    font-size: 20px;
    padding: 4px;
    outline:none;
}
#newmsg > div:empty::before {
    content: attr(data-placeholder);
    color: inherit;
    pointer-events: none;
}
#newmsg > div::before {
    pointer-events: none;
}
#newmsg input::placeholder {
    color: inherit;
}
#emojipicker {
    position: fixed;
    right: 8px;
    bottom: 44px;
    width: 250px;
    max-width: 80vw;
    height: 270px;
    max-height: 50vh;
    border: solid 2px;
    user-select: none;
    z-index: 10;
    overflow-y: auto;
}
#emojipicker input {
    width: 240px;
    max-width: calc(80vw - 6px);
    background:none;
    border: solid 1px;
    position: fixed;
    margin: 2px;
    background-color: inherit;
}
#emojipicker > div {
    margin-top: 20px;
    padding: 2px;
}
#emojipicker img {
    width: calc(225px / 5);
    max-width: calc(80vw / 5);
    image-rendering: pixelated;
    -webkit-user-drag: none;
    margin: 0 2px;
}

.topic {
    border: solid 2px;
    padding: 8px 12px 4px;
    margin: 4px 0;
    max-width: 500px;
    display: block;
    text-decoration: none;
    color: inherit !important;
}
.topic h2, .topic p {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.votebtn {
    display: inline-block;
    width: 12px;
    height: 12px;
    background-color: currentColor;
    image-rendering: pixelated;
    margin: 0 8px 0 4px;
}
.up {
    -webkit-mask: url('up.png');
    mask: url('up.png');
    mask-size: 100% 100%;
    -webkit-mask-size: 100% 100%;
}
.down {
    -webkit-mask: url('down.png');
    mask: url('down.png');
    mask-size: 100% 100%;
    -webkit-mask-size: 100% 100%;
}

.report {
    width: 400px;
    max-width: calc(100vw - 16px);
    border: solid 2px;
    padding: 4px;
    margin-bottom: 8px;
}
.report p {
    margin: 0;
}
.report i {
    margin: 8px 0 8px 16px;
    display: block;
}
.report button {
    background: none;
    color: inherit;
    border: solid 2px;
    margin: 0 4px;
}

.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1000;
    background-color: #000000bb;
    overflow: hidden;
}
.popup > div {
    position: fixed;
    left: 0;
    right: 0;
    top: 5vh;
    margin-inline: auto; 
    width: 400px;
    max-width: calc(100vw - 16px);
    min-height: 100px;
    height: max-content;
    max-height: 90vh;
    border: solid 2px;
    padding: 8px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    font-size: 16px;
    line-height: 20px;
}
.popup p {
    margin: 0;
    text-align: center;
    width: 100%;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}
.popupButtons {
    padding: 4px;
}
.popupButtons button {
    background: none;
    border: solid 1px;
    font-size: 20px;
    margin: 0 4px;
}


.statusdot {
    width: 16px;
    height: 16px;
    border:solid 2px;
    display:none;
    margin: 0 8px 0 0;
}


#uploadBox {
    position: fixed;
    top: 20vh;
    left: 10vw;
    width: 80vw;
    height: 60vh;
    background-color: #000000dd;
    border: solid 2px;
    padding: 4px;
    box-shadow: black 10px 10px 2px;
    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;
}
#uploadBox p {
    margin: 0;
    padding: 0;
    height: auto;
    text-align: center;
    font-size: 20px;
}